### A free/open-source library for quantitative finance

Public Member Functions
ZeroCouponBond Class Reference
Financial instruments

zero-coupon bond More...

`#include <ql/instruments/bonds/zerocouponbond.hpp>`

Inheritance diagram for ZeroCouponBond:
[legend]

List of all members.

## Public Member Functions

| ZeroCouponBond (Natural settlementDays, const Calendar &calendar, Real faceAmount, const Date &maturityDate, BusinessDayConvention paymentConvention=Following, Real redemption=100.0, const Date &issueDate=Date())

## Detailed Description

zero-coupon bond

Tests:
  calculations are tested by checking results against cached values.

Examples:
  Bonds.cpp.